Subject: Re: bug#29676: Guix test failure on tests/store.

From: [email-masked] (Ludovic Courtès)
Date: Tue, 12 Dec 2017 17:06:58 +0100

Hi,

Roel Janssen <[email-masked]> skribis:

> I attached the build log.  The relevant bit is this:
>
> actual-error:
> + (srfi-34
> +   #<condition &nix-protocol-error [message: "path `dtmp/guix-tests/store/462z3fnl7bs44vp9s97jyg1z74nsfvly-tar' is not in the Nix store" status: 1] 1071090>)
> result: FAIL

The “dtmp” bit (instead of “/tmp”) looks fishy and would suggest a
memory corruption, presumably in the daemon.

I suppose the failure random, isn’t it?

> Does this mean I have an inconsistency in the store?

No, definitely not.  Those tests run on a scratch store, in
/tmp/guix-tests/store.

Ludo’.